#!/bin/bash

#########################################################################
#                                                                       #
#         Startskript fr die SWE2.WebFS - Web Feature Service          #
#                                                                       #
#  Das Skript ist als Beispiel zu betrachten und muss eventuell an die  #
#  Gegebenheiten des lokalen Projektes angepasst werden.                #
#                                                                       #
#  Es wird angenommen, dass die Kernsoftware gem der allgmeinen Vor-  #
#  gaben installiert wurde, insbesondere die Installation der SWE in    # 
#  Einzel-Unterverzeichnissen unter dem Verzeichnis                     # 
#  "distributionspakete" und die Existenz einer allgemeinen Einstel-    #
#  lungsdatei "einstellungen.sh" im Verzeichnis "../../skripte-bash"    #
#  relativ zum Verzeichnis, in dem dieses Skript residiert, in dem die  #
#  allgemeinen Parameter fr die Datenverteilerkopplung festgelegt sind.#
#                                                                       #
#########################################################################

source ../../VRZ/kv.aoe.nw.vrz-nrw.es.bitctrl/skripte/einstellungen.sh

#########################################################################
# Folgende, aus der Datei "einstellungen.sh" bernommene Parameter,     #
# mssen berprft und evtl. angepasst werden                           #
#########################################################################
# Parameter fr den Java-Interpreter
#jvmArgs="-Dfile.encoding=ISO-8859-1"

# Parameter fr den Datenverteiler
#dav1="-datenverteiler=localhost:8083 -benutzer=Tester \
#  -authentifizierung=passwd -debugFilePath=.."


#########################################################################
#                                                                       #
#                        Parameter der SWE                              #
#                                                                       #
#########################################################################
# zu benutzender HTTP-Port
GEOSERVER_PORT="-HttpPort=8888"
#EXPORTOBJEKTE="-exportObjekte=de.bsvrz.kex.wfs.wfs.ExportObjekteNurMQ"
#EXPORTOBJEKTE="-exportObjekte=de.bsvrz.kex.wfs.wfs.ExportObjekteMQSegmente"
EXPORTOBJEKTE="-exportObjekte=de.bsvrz.kex.wfs.wfs.ExportObjekteDefault"

#########################################################################
#                                                                       #
#                  Ausfhrung der Softwareeinheit                       #
#                                                                       #
# Ab hier mssen in dem Skript keine nderungen mehr vorgenommen werden.#
#                                                                       #
#########################################################################

java $jvmArgs -Xmx1g -jar de.bsvrz.kex.wfs-runtime.jar \
 $dav1 \
 -debugLevelFileText=CONFIG \
 -debugLevelStdErrText=ALL \
 -debugSetLoggerAndLevel=:CONFIG \
 $GEOSERVER_PORT \
 $EXPORTOBJEKTE \
&
